restinio::router::impl::route_params_accessor_t Struct Reference

Route params private internals accessor. More...

`#include <express.hpp>`

## Static Public Member Functions

static void | match (route_params_t &rp, std::unique_ptr< char[] > request_target, std::shared_ptr< std::string > key_names_buffer, string_view_t match_, route_params_t::named_parameters_container_t named_parameters, route_params_t::indexed_parameters_container_t indexed_parameters)
| Init parameters with a matched route params. More...
static const auto & | named_parameters (const route_params_t &rp) noexcept
| Get values containers for all parameters (used in unit tests). More...
static const auto & | indexed_parameters (const route_params_t &rp) noexcept

## Detailed Description

Route params private internals accessor.

Definition at line 199 of file express.hpp.

## Member Function Documentation

## indexed_parameters()

static const auto & restinio::router::impl::route_params_accessor_t::indexed_parameters | ( | const route_params_t & | rp | ) |

inlinestaticnoexcept

Definition at line 228 of file express.hpp.

## match()

static void restinio::router::impl::route_params_accessor_t::match | ( | route_params_t & | rp,
|  | std::unique_ptr< char[] > | request_target,
|  | std::shared_ptr< std::string > | key_names_buffer,
|  | string_view_t | match_,
|  | route_params_t::named_parameters_container_t | named_parameters,
|  | route_params_t::indexed_parameters_container_t | indexed_parameters
| ) |  |

inlinestatic

Init parameters with a matched route params.

Definition at line 203 of file express.hpp.

## named_parameters()

static const auto & restinio::router::impl::route_params_accessor_t::named_parameters | ( | const route_params_t & | rp | ) |

inlinestaticnoexcept

Get values containers for all parameters (used in unit tests).

Definition at line 222 of file express.hpp.

The documentation for this struct was generated from the following file:

- restinio/router/express.hpp